UUID_PARSE(3)

NAME
uuid_parse - convert an input UUID string into binary representation

SYNOPSIS
#include <uuid.h>

int uuid_parse( char *in, uuid_t uu);

DESCRIPTION
The uuid_parse function converts the UUID string given by in into the binary representation. The input UUID is a string of the form 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb (in printf(3) format "%08x-%04x-%04x-%04x-%012x", 36 bytes plus the trailing '\0').

RETURN VALUE
Upon successfully parsing the input string, 0 is returned, and the UUID is stored in the location pointed to by uu, otherwise -1 is returned.

CONFORMING TO
This library parses UUIDs compatible with OSF DCE 1.1, and hash based UUIDs V3 and V5 compatible with RFC-4122.

AUTHOR
Theodore Y. Ts'o

AVAILABILITY
libuuid is part of the util-linux package since version 2.15.1 and is available from https://www.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
uuid(3), uuid_clear(3), uuid_compare(3), uuid_copy(3), uuid_generate(3), uuid_is_null(3), uuid_time(3), uuid_unparse(3)